### Constructor

# Gsk GLShader new_from_resource

deprecated: 4.16

#### Declaration [src]

    GskGLShader*
    gsk_gl_shader_new_from_resource (
      const char* resource_path
    )

#### Description [src]

Creates a `GskGLShader` that will render pixels using the specified code.

Deprecated since: 4.16

GTK’s new Vulkan-focused rendering does not support this feature. Use GtkGLArea for OpenGL rendering.

#### Parameters

`resource_path`

  Type: `const char*`

  Path to a resource that contains the GLSL sourcecode for the shader.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GskGLShader`

A new `GskGLShader`.

The caller of the function takes ownership of the data, and is responsible for freeing it.